import { transformSync } from '@babel/core';
export default (opts => {
  try {
    return {
      code: transformSync(opts.source, {
        filename: opts.filename
      }).code
    };
  } catch (error) {
    var _error$code, _error$loc, _error$loc2, _error$message;
    return {
      code: `exports.__JITI_ERROR__ = ${JSON.stringify({
        code: (_error$code = error.code) === null || _error$code === void 0 ? void 0 : _error$code.replace('BABEL_', '').replace('PARSE_ERROR', 'ParseError'),
        column: ((_error$loc = error.loc) === null || _error$loc === void 0 ? void 0 : _error$loc.column) || 0,
        filename: opts.filename,
        line: ((_error$loc2 = error.loc) === null || _error$loc2 === void 0 ? void 0 : _error$loc2.line) || 0,
        message: (_error$message = error.message) === null || _error$message === void 0 ? void 0 : _error$message.replace('/: ', '').replace(/\(.+\)\s*$/, '')
      })}`,
      error
    };
  }
});